/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.modules.jeo.gen;

import com.queplix.core.modules.jeo.JEObject;

/**
 * <p>Alert block JE object</p>
 *
 * @author [ALB] Baranov Andrey
 * @version $Revision: 1.1.1.1 $ $Date: 2005/09/12 15:30:47 $
 */
public interface AlertBlockObject extends JEObject {
    void setAlert_block_id(Long alert_block_id);

    void setAlert_id(Long alert_id);

    void setRecipient_id(Long recipient_id);

    void setRecipient_type(Integer recipient_type);

    Long getAlert_block_id();

    Long getAlert_id();

    Long getRecipient_id();

    Integer getRecipient_type();
}
